<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.centre.mapper.AttendanceSignRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.storlead.centre.entity.AttendanceSignRecordEntity">
        <id column="id" property="id" />
        <result column="sort" property="sort" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="is_delete" property="isDelete" />
        <result column="enabled" property="enabled" />
        <result column="create_by" property="createBy" />
        <result column="wx_user_id" property="wxUserId" />
        <result column="user_id" property="userId" />
        <result column="user_name" property="userName" />
        <result column="dept_id" property="deptId" />
        <result column="dept_name" property="deptName" />
        <result column="group_id" property="groupId" />
        <result column="group_name" property="groupName" />
        <result column="checkin_type" property="checkinType" />
        <result column="sync_oa" property="syncOa" />
        <result column="exception_type" property="exceptionType" />
        <result column="checkin_wx_time" property="checkinWxTime" />
        <result column="checkin_time" property="checkinTime" />
        <result column="checkin_date" property="checkinDate" />
        <result column="location_title" property="locationTitle" />
        <result column="location_detail" property="locationDetail" />
        <result column="wifi_name" property="wifiName" />
        <result column="wifi_mac" property="wifiMac" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
        <result column="device_id" property="deviceId" />
        <result column="media_ids" property="mediaIds" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        sort,
        create_time,
        update_by,
        update_time,
        is_delete,
        enabled,
        create_by,
        owner_by,
        id, wx_user_id, user_id, user_name, dept_id, dept_name, group_id, group_name, checkin_type,sync_oa, exception_type, checkin_time,checkin_wx_time, checkin_date, location_title, location_detail, wifi_name, wifi_mac, longitude, latitude, device_id, media_ids, remark
    </sql>

</mapper>
